When to retire Tiger

18 September 2009
by Jeremy WhiteJeremy White
So now that Snow Leopard is out and roaring, a debate is raging inside CodeWeavers about Tiger. With each release of Mac OS X, we have to tune CrossOver; we've yet to have a major release 'just work'. And at this point, CrossOver runs on all versions of Mac OS X that run on an Intel processor. But I'm getting a lot of pressure to drop Tiger support from the development team.

Supporting Tiger slows us down; there are more advanced techniques we don't use, because we need to remain backwards compatible with Tiger. Further, Tiger never really supported CrossOver that well; there is a nasty bug that causes a serious performance hit. Nicely, Apple fixed that in Leopard. Further, less than 10% of our customer base is still on Tiger. So there are a lot of reasons to drop Tiger support.

But, on the other hand, I hate to keep even one person from having CrossOver joy. And, being mercenary, it is often large organizations that stay with old versions of Mac OS X, so I know for a fact that the sales team is someday going to come to me demanding Tiger support. So I'd rather leave it in place than have to retrofit it 9 months from now when the sales team has a killer opportunity we just can't ignore.

So if anyone has any compelling stats on Tiger use or what other software makers are doing, I'd love to hear it.

Meanwhile, it's back to cranking on our next release, code name: 'Snow Mallard'.

Cheers,
Jeremy

About CodeWeavers
Founded in 1996 as a general software consultancy, CodeWeavers focuses on the development of Wine – the core technology found in all of its CrossOver products. The company's goal is to bring expanded market opportunities for Windows software developers by making it easier, faster and more painless to port Windows software to Mac and Linux. CodeWeavers is recognized as a leader in open-source Windows porting technology, and maintains development offices in Minnesota, the United Kingdom and elsewhere around the world. The company is privately held.

The following comments are owned by whoever posted them. We are not responsible for them in any way.


New Comment

Hibba
Hibba
Posted 2009-09-20 00:19
Well, I don't know how to verify this, so I may be wrong, but... I don't think alot of the Intel-based Macs shipped with Tiger (that's not to say that people/organizations wouldn't put Tiger on a Intel Mac, though). Since, as I would guess, most Intel-based Macs are running either 10.5 or 10.6, it could be safe to drop Tiger support..... actually, if you have a Intel based Mac with an Apple installed DVD drive, then you're almost pre-approved to meet Leopard's system requirements.

However, there is still the chance that some businesses stay with Tiger for a while... So, I'm not sure.

This is my first time posting to the staff blogs, so please excuse me if I made a mistake. 😊

Hibba.
Christian Behrens
Christian Behrens
Posted 2009-09-20 05:19
Not only haven't there been that many Intel machines with Tiger, but on all machines that came with Leopard it is impossible to go back and install Tiger. The Tiger retail package only contains the PPC code. Yes, it's true. Every Intel machine with Tiger came with a DVD that contained all the necessary drivers for that machine only, and there does not exist a Universal Intel Tiger installation disk.

So forget about Tiger! 😊

-Christian
Mitchell
Mitchell
Posted 2009-09-20 09:06
I concur.  Dropping Tiger will make CrossOver much faster, easier and more compatible.  This should be an easy decision now that Snow Leopard is out and that less then 10% of your user base is on Tiger.  Dropping Tiger I think would be a wise move.
Alan Jackson
Alan Jackson
Posted 2009-09-21 09:33
Backwards compatibility, ah the old millstone that most firms hate because they can never really win. I think Microsoft have shown that keeping backwards compatibility can be a real nightmare, how much of XPs initial nightmares were caused by old legacy code (I don't have the figures but I've spoken with some people who did some freelance work for MS, some of what they told me would scare even the most ardent MS fan).

As one of the previous posters said how many intel Macs actually have Tiger on them? Of course the follow up question is how small does a percentage have to be before it is classed as safe to "prune"?

I guess you have to decide which group of people you want to upset because whatever the decision someone will get annoyed with it.
Evan Hillas
Evan Hillas
Posted 2009-09-21 18:45
I think you already know the answer.  Finish what has been started and make that the final Tiger release.

As a consolation, how about keeping the final Tiger compatible release separately available for those that might want it.


Evan
Hibba
Hibba
Posted 2009-09-21 23:31
Evan Hillas Posted:
I think you already know the answer.  Finish what has been started and make that the final Tiger release.

As a consolation, how about keeping the final Tiger compatible release separately available for those that might want it.


Evan


I second Evan's suggestion.

On a side note, I'd like to add a suggestion to this one; perhaps, after releasing the final Crossover Tiger release, put it's price down a little bit from the normal Mac/Linux versions. If Tiger has issues with Wine/Crossover, companies may not want to pay the normal price for it; a lower price would theoretically factor into their decision to purchase or not.

Anyway, I agree with Evan that you should make a final Tiger release and offer it to download (Up to you if you want to make a discount or not. Just my 2 cents).

Hibba.
John Vann
John Vann
Posted 2009-09-22 10:27
If support for Tiger is holding you back, then by all means ditch that turkey.  It's been said that Windows will die on the altar of backwards compatibility... why subject Crossover to that same fate just because its for running Windows apps?  As has been said... Tiger is running on a small percentage of Intel Macs as it is.  If you feel that bad about it, make the first Leopard+ version a free upgrade, then move on.  These hold-outs can put that money to upgrading to Snow Leopard.  If they can't afford to upgrade to Snow Leopard, then certainly they'd be hard pressed to afford a Crossover upgrade anyway.  And it's not like what they have now will cease working.  By holding back for the sake of a few who are stuck with Tiger, you are effectively screwing the full potential of the "CrossOver joy" for the rest of us.
kelci
kelci
Posted 2009-09-22 12:40
Posted:
Further, less than 10% of our customer base is still on Tiger.

That sounds a lot like the arguments companies use to support only Windows.  Even though CrossOver and Wine do a good job picking up the slack (while earning you a living), I think that even (or especially) you would prefer them to go the extra mile for the "less than 10%" of the market.

That said, if there are serious problems supporting the older version of OS X and it's reasonably to expect most users to upgrade soon, then the "one last version" idea sounds good.  Also, can't those using Tiger switch to Ubuntu if they can't afford Leopard?
OF
OF
Posted 2009-09-23 19:14
As the owner of a first-gen Intel iMac, I understand the pain that must be happening internally. I myself had to struggle with the decision for some time before I finally moved to Leopard... and the unfortunate fact is, it's Apple that makes it ultimately inevitable.

Their particular method of making advancement to the newer revisions of the OS is vastly more effective than Microsoft's ever was, and I found myself both unable to complete my own development tasks, as well as run newer applications that for various reasons only worked (or only worked -properly-) on Leopard.

Given what we know of the API troubles that Leopard corrects but Tiger will hold forever, as well as other little details like Apple's refusal to permit packaging of certain key items for older platforms (See: Tiger and Java support)...

I agree with the others. Finish the release, but include a note that Tiger support is deprecated, and future releases will not officially support Tiger. Move on, as much of the rest of the Apple software industry is.
Eric Molitor
Eric Molitor
Posted 2009-09-26 04:26
I'd be wary of pushing against 10% of your existing customer base but a few more numbers would help. How many of those are actually running the latest version and recently renewed their license? For laggers its hard to predict if/when they will renew a license if their current version 'just works'. If a significant number of them have recently renewed/purchased then you likely don't want to abandon them.

Things that might make your decision easier... Prior to Leopard large deployments with Mac OS were a bit painful. (Hell even with Leopard things really didn't get acceptable in most corporate environments until 10.5.7/10.5.8 with some authorization/authentication issues only being resolved in Snow Leopard...) I can't think of a large corporation with a large Mac base that isn't running Leopard. (Security fixes pushed most large deployments to upgrade pretty quickly...)

Worry about the impact on your existing customer base, if they can absorb it then go for it. In the  unlikely event you receive a large request dust off your old code-base and start merging.

In my mind Crossover is still a very young product. If requiring Leopard leads to a better product it will likely offset any lost customers. Put your best effort into building the best customer experience and hopefully your market will continue to grow.

(This all assumes that maintaining a fork for the affected components and building two releases is too costly...)
Adrian Cantrill
Adrian Cantrill
Posted 2009-09-26 12:17
Drop it - it shouldnt even be a discussion point ( though i appreciate that it is ). If dropping tiger allows significant performance boosts and better development then just drop. There have been two major releases since..
Brandon Myers
Brandon Myers
Posted 2009-09-27 00:22
I'm not a Mac user.  I'm a proud Linux user. :)

But while I'm usually all for everyone having access to the latest software, it doesn't seem right to hold back 90% of your users just because the remaining 10% have an obsolete OS version.  I mean, when the user statistics are that one sided, it's probably in the best interest of your customers to focus more on getting the majority the best software possible.

I'm sure the easiest answer is to fork CrossOver, in a sense, and have a version of CXOffice and Games just for Tiger.  A Legacy version, if you will.  But I don't know if CodeWeavers has the man-power to deal with two (or four, depending on how Office and Games are developed in relation to each other) code bases for Mac.
luaduck
luaduck
Posted 2009-09-27 02:49
Definitely drop support for tiger. Most people still running Tiger are probably only going to be using low-dependancy apps, like Office etc (nothing exciting, like sourceengine).
Bryan DeLuca
Bryan DeLuca
Posted 2009-09-28 08:13
Make this the last release and then drop support for Tiger.  I've upgraded all my Macs to Snow Leopard, personally. In all the Apple forums I participate in every Intel Mac owner has upgraded to Leopard or Snow Leopard by now.
Gregory Anderson
Gregory Anderson
Posted 2009-09-28 14:03
I have a few older machines (a G5 imac etc) which can't run CrossOver but they are running leopard. I have a really old ibook which is running 10.3.9 but again it can't run CrossOver either. You have a stable release which is an option for the Tiger holdouts. Leave it available to them if need be and drop development support for Tiger in future versions. I would like to see a future version that uses the full 64-bit power of Snow Leopard.
CalicoJack
CalicoJack
Posted 2009-09-30 20:56
With the update to Snow Leopard's price tag of about 30 bucks, I don't see why it would be necessary to continue support for tiger.. Just my opinion though, I could be wrong.

( also, my mac came with tiger :] )
Kaoro
Kaoro
Posted 2009-10-03 15:34
I say you guys should retire Tiger. I'd assume that if a person isn't going to bother upgrading their OS for the past two releases, they might not be the most willing people to renew/buy CXGames licenses anyway.

Besides, I can't see Apple supporting Tiger for much longer, if they even are right now. Why should Codeweavers?

Of course I'm biased as I've upgraded all my Macs to Snow Leopard already :).
Michael LaCorte
Michael LaCorte
Posted 2009-10-06 05:05
That has to be a tough one for you guys. I'm going to say that you should drop Tiger for two reasons:

1) For those who haven't upgraded beyond Tiger, their goals clearly aren't to get the most out of their Mac, the just need it for some very low key applications. (Word, Pages, etc.) People who haven't upgraded from Tiger don't see things from the "I need to get the newest stuff now!" point of view. They just want a computer that will work for what they do. If not, they would have upgraded a long time ago.

2) You can't hold back advancement to appease the minority of your users. Though it's tough to say, "Screw you Tiger users!" you have to take this into consideration. If you drop support now, they would still be able to run all of your previous versions, meaning that they will not have the most up-to-date version. If you don't drop them however, the 90% of your customers won't be running the most up-to-date version because it won't exist yet.

I believe it becomes necessary for you guys to ultimately drop support for Tiger. You will have to do it some time in order to continue to enhance your product, and now would be a great time with all the new renovations put into Snow Leopard. Don't wait too long or else you will be holding back everyone in the name of the few people to cheap or lazy to care to make their computers the best they can make them. Just make the Tiger compatible version of Crossover a separate product at a reduced price, or something. But I know I would be angry if I knew that I wasn't getting the most out of a program as I could because they are trying to appeal to the lagging 10% of their fan base.


P.S. If you guys could work in some of the new Snow Leopard advancements into Crossover, that would be excellent!
Darrell Hanley
Darrell Hanley
Posted 2009-10-08 08:52
Considering that there is no difference between the 30 dollar upgrade release (that anyone can buy, regardless of owning leopard or not) and the full 120 dollar retail of snow leopard, its hard to justify why anyone should be using Tiger anymore unless they are on a PPC machine, in which case they should probably consider upgrading to a new machine.
Jason Kelsey
Jason Kelsey
Posted 2009-10-11 19:39
If you guys can make significant gains on the Mac by ditching Tiger support, then do it. Snow Leopard costs $30, is extremely easy to install, and is very capable. Make one last legacy release that is Tiger capable and then move on. If there are people who still insist on running Tiger on a Intel Mac, it is reasonable to say that those people are not concerned in running the latest technology, and therefore, not concerned with advances in WINE/CrossOver technology.
Alan Latteri
Alan Latteri
Posted 2009-10-14 11:26
tiger is what, 4-5 years old?  In the mac world that is ages.  I understand in the PC world people take a while to upgrade because of compatibility problems and general pain in the ass.  Mac OS upgrades just work, there is NO reason for people to still be on tiger.  Please, advance CXO, faster better taking advantage of all the new tech apple rolls in.
William Bokunic
William Bokunic
Posted 2009-10-18 05:23
If 90% of your Mac base is on Leopard and Snow Leopard, then drop support for Tiger. Offer the last remaining Tiger build for those that want it, but that's it. Or a possible idea would be to include the Leopard and Snow Leopard features, but have them only enable if the proper OS is detected. Of course development is still slowed due to catering for this small market.

As far as I'm concerned, all intel Mac's support Leopard, or even Snow Leopard for that matter. They can upgrade if they want, or just stick to the last version of Crossover made for Tiger. Their choice. They shouldn't be holding back the rest of us.
Neal Gompa
Neal Gompa
Posted 2009-10-28 11:29
As a Linux and Mac user, I have a few concerns about this.

Dropping Tiger support to advance CrossOver is great, if there are rather significant advantages to doing so.

Otherwise, I would really rather not suggest it. The "less than 10%" reason is something that shouldn't really fly with you guys, given that Mac and Linux combined make up about 10-15% percent of the computer market. However, I also tried building software for Tiger, and I agree it is quite old, and Leopard has introduced quite a lot of interesting things to the field in terms of developer APIs and overall system improvements.

If you plan to chuck Tiger support, I would highly suggest making one final release that supports Tiger for both cxgames and cxoffice. And, I would also suggest you drop the price on it, with the condition that support is much more limited.

Most Macs with Intel were sold with Leopard, not Tiger. And the Snow Leopard upgrade is only $29. There isn't really any reason for an Intel Mac of *any* kind to be running Tiger unless the owner of said Mac is flat broke.

bloodtiger10
bloodtiger10
Posted 2009-11-16 21:15
Ok here my mac (well both of them) are running snow leopard.  I know of the advances snow leopard brings because I myself write games, software, and in general program.  I mean this is what you should do.

A: Release One last build for tiger then drop it

B: Develop a strain of Crossover Games and Crossover just for tiger.  And then have one for snow leopard and leopard.

C: Develop a strain of Crossover Games and Crossover for each OS (Tiger, Leopard, Snow Leopard) so that it cranks out the most of Crossover GAmes fro each platform plus makes crossover games smaller (No PowerPC Stuff in Snow Leopard Version, snow leopard optimizations in snow leopard version, same for leopard and tiger)

D: Continue doing what you are doing and head straight into that brick wall :)  (The windows strategy make it run on as many platforms as possible and then see how big the OS gets (or crossover in this case) and how inefficient it gets :) )
dablackfox
dablackfox
Posted 2009-11-22 06:06
Hey im just a pore linux user who came from windows so if its fine if you lol at this, but cant people upgrade from tiger to ... something else if there not happy with it.
i think that there cant be more that 5 people with it.

just wondering.
i would like to see crossover faster (not that its not already fast) with more compatibility, and with versions being released more often.
Martyn Hare
Martyn Hare
Posted 2010-01-30 09:46
Firefox is doing so -  take the hint πŸ˜‰

Apple don't even have a formal EOL policy which states when their software will no longer receive maintenance/bugfix/security updates.  It is wise to only support the 2 latest releases and nothing before that; it is up to the Mac community to pressure Apple into adopting a fixed-date support policy to make things clearer for developers if they wish to see long-term support.
  • 1 to 26 of 26
Please Wait...
eyJjYXJ0IjowLCJ0enMiOi02LCJjZG4iOiJodHRwczpcL1wvbWVkaWEuY29kZXdlYXZlcnMuY29tXC9wdWJcL2Nyb3Nzb3Zlclwvd2Vic2l0ZSIsImNkbnRzIjoxNTcwNTQ3NzcwfQ==